/**
 * Climatology - A Weather Source API
 * Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.    **IMPORTANT:** To authenticate to the Weather Source Climatology API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This file is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the file manually.
 */

import * as api from "./api"
import { Configuration } from "./configuration"

const config: Configuration = {}

describe("DmasApi", () => {
  let instance: api.DmasApi
  beforeEach(function() {
    instance = new api.DmasApi(config)
  });

  test("dmasDmaIdDaysDateGet", () => {
    const dmaId: number = 56
    const date: string = 2013-10-20
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.dmasDmaIdDaysDateGet(dmaId, date, fields, unitScale, {})).resolves.toBe(null)
  })
  test("dmasDmaIdDaysDateStartdateEndGet", () => {
    const dmaId: number = 56
    const dateStart: string = 2013-10-20
    const dateEnd: string = 2013-10-20
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.dmasDmaIdDaysDateStartdateEndGet(dmaId, dateStart, dateEnd, fields, unitScale, {})).resolves.toBe(null)
  })
  test("dmasDmaIdHoursTimestampGet", () => {
    const dmaId: number = 56
    const timestamp: Date = 2013-10-20T19:20:30+01:00
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.dmasDmaIdHoursTimestampGet(dmaId, timestamp, fields, unitScale, {})).resolves.toBe(null)
  })
  test("dmasDmaIdHoursTimestampStarttimestampEndGet", () => {
    const dmaId: number = 56
    const timestampStart: Date = 2013-10-20T19:20:30+01:00
    const timestampEnd: Date = 2013-10-20T19:20:30+01:00
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.dmasDmaIdHoursTimestampStarttimestampEndGet(dmaId, timestampStart, timestampEnd, fields, unitScale, {})).resolves.toBe(null)
  })
})

describe("OnpointsApi", () => {
  let instance: api.OnpointsApi
  beforeEach(function() {
    instance = new api.OnpointsApi(config)
  });

  test("onpointsOnpointIdDaysDateGet", () => {
    const onpointId: number = 56
    const date: string = 2013-10-20
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.onpointsOnpointIdDaysDateGet(onpointId, date, fields, unitScale, {})).resolves.toBe(null)
  })
  test("onpointsOnpointIdDaysDateStartdateEndGet", () => {
    const onpointId: number = 56
    const dateStart: string = 2013-10-20
    const dateEnd: string = 2013-10-20
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.onpointsOnpointIdDaysDateStartdateEndGet(onpointId, dateStart, dateEnd, fields, unitScale, {})).resolves.toBe(null)
  })
  test("onpointsOnpointIdHoursTimestampGet", () => {
    const onpointId: number = 56
    const timestamp: Date = 2013-10-20T19:20:30+01:00
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.onpointsOnpointIdHoursTimestampGet(onpointId, timestamp, fields, unitScale, {})).resolves.toBe(null)
  })
  test("onpointsOnpointIdHoursTimestampStarttimestampEndGet", () => {
    const onpointId: number = 56
    const timestampStart: Date = 2013-10-20T19:20:30+01:00
    const timestampEnd: Date = 2013-10-20T19:20:30+01:00
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.onpointsOnpointIdHoursTimestampStarttimestampEndGet(onpointId, timestampStart, timestampEnd, fields, unitScale, {})).resolves.toBe(null)
  })
})

describe("PointsApi", () => {
  let instance: api.PointsApi
  beforeEach(function() {
    instance = new api.PointsApi(config)
  });

  test("pointsLatitudelongitudeDaysDateGet", () => {
    const latitude: number = 3.4
    const longitude: number = 3.4
    const date: string = 2013-10-20
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.pointsLatitudelongitudeDaysDateGet(latitude, longitude, date, fields, unitScale, {})).resolves.toBe(null)
  })
  test("pointsLatitudelongitudeDaysDateStartdateEndGet", () => {
    const latitude: number = 3.4
    const longitude: number = 3.4
    const dateStart: string = 2013-10-20
    const dateEnd: string = 2013-10-20
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.pointsLatitudelongitudeDaysDateStartdateEndGet(latitude, longitude, dateStart, dateEnd, fields, unitScale, {})).resolves.toBe(null)
  })
  test("pointsLatitudelongitudeHoursTimestampGet", () => {
    const latitude: number = 3.4
    const longitude: number = 3.4
    const timestamp: Date = 2013-10-20T19:20:30+01:00
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.pointsLatitudelongitudeHoursTimestampGet(latitude, longitude, timestamp, fields, unitScale, {})).resolves.toBe(null)
  })
  test("pointsLatitudelongitudeHoursTimestampStarttimestampEndGet", () => {
    const latitude: number = 3.4
    const longitude: number = 3.4
    const timestampStart: Date = 2013-10-20T19:20:30+01:00
    const timestampEnd: Date = 2013-10-20T19:20:30+01:00
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.pointsLatitudelongitudeHoursTimestampStarttimestampEndGet(latitude, longitude, timestampStart, timestampEnd, fields, unitScale, {})).resolves.toBe(null)
  })
})

describe("PostcodesApi", () => {
  let instance: api.PostcodesApi
  beforeEach(function() {
    instance = new api.PostcodesApi(config)
  });

  test("postcodesPostcodecountryCodeDaysDateGet", () => {
    const postcode: string = "postcode_example"
    const countryCode: string = "countryCode_example"
    const date: string = 2013-10-20
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.postcodesPostcodecountryCodeDaysDateGet(postcode, countryCode, date, fields, unitScale, {})).resolves.toBe(null)
  })
  test("postcodesPostcodecountryCodeDaysDateStartdateEndGet", () => {
    const postcode: string = "postcode_example"
    const countryCode: string = "countryCode_example"
    const dateStart: string = 2013-10-20
    const dateEnd: string = 2013-10-20
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.postcodesPostcodecountryCodeDaysDateStartdateEndGet(postcode, countryCode, dateStart, dateEnd, fields, unitScale, {})).resolves.toBe(null)
  })
  test("postcodesPostcodecountryCodeHoursTimestampGet", () => {
    const postcode: string = "postcode_example"
    const countryCode: string = "countryCode_example"
    const timestamp: Date = 2013-10-20T19:20:30+01:00
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.postcodesPostcodecountryCodeHoursTimestampGet(postcode, countryCode, timestamp, fields, unitScale, {})).resolves.toBe(null)
  })
  test("postcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet", () => {
    const postcode: string = "postcode_example"
    const countryCode: string = "countryCode_example"
    const timestampStart: Date = 2013-10-20T19:20:30+01:00
    const timestampEnd: Date = 2013-10-20T19:20:30+01:00
    const fields: Array<string> = undefined
    const unitScale: string = "unitScale_example"
    return expect(instance.postcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet(postcode, countryCode, timestampStart, timestampEnd, fields, unitScale, {})).resolves.toBe(null)
  })
})

